Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453435 - kmail crashes when deleting corrupt mail [NEEDINFO]
Summary: kmail crashes when deleting corrupt mail
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 16:37 UTC by Tobias
Modified: 2009-07-14 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:38:12 UTC
kevin: needinfo? (post)


Attachments (Terms of Use)
output kde crash handler (deleted)
2008-06-30 16:37 UTC, Tobias
no flags Details
Mailbox containing corrupt Mail (deleted)
2008-06-30 16:41 UTC, Tobias
no flags Details

Description Tobias 2008-06-30 16:37:51 UTC
Description of problem:
when trying to delete a corrupt mail, kmail crashes.
The corrupted Mail cannot be opened, it is constantly marked as new

Version-Release number of selected component (if applicable):
Kmail 1.9.9

How reproducible:
always

Steps to Reproduce:
1. select corrupt mail
2. hit "del"
3.
  
Actual results:

Kmail crashes

Expected results:
Mail gets moved to trash

Additional info:
smolt profile:
http://www.smolts.org/client/show/pub_bf2e9418-c642-401d-99e3-9f99aafe97a7

Comment 1 Tobias 2008-06-30 16:37:51 UTC
Created attachment 310597 [details]
output kde crash handler

Comment 2 Tobias 2008-06-30 16:41:17 UTC
Created attachment 310599 [details]
Mailbox containing corrupt Mail

Comment 3 Rex Dieter 2008-06-30 16:48:48 UTC
Mail's corrupt already, not sure if one can expect a mail client to deal with
that very gracefully.  shrug.

That said, please report this upstream to bugs.kde.org , so that's kmail's
developers are made aware, and can comment (and hopefully fix).

Comment 4 Bug Zapper 2008-11-26 10:56:37 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Kevin Kofler 2008-11-26 11:21:52 UTC
Does this still happen with kdepim 3.5.10? If it happens on F8, it certainly
happens on F9 too given that the kdepim there is the same.

Comment 6 Tobias 2008-11-26 18:01:40 UTC
(In reply to comment #5)
> Does this still happen with kdepim 3.5.10? If it happens on F8, it certainly
> happens on F9 too given that the kdepim there is the same.

I am really confused here. I tried to reproduce the bug.
I closed Kmail.
I went to ~/Mail/ and deleted my current folder "Mailing_listen".
Then i unpacked the original folder (from my attachmet to this bug) to ~/Mail/
When i start Kmail i see all my mails in the folder "Mailing_listen" and not just the ones from the original. Why aren't they deleted? 

To the bug itself: Kmail does not crash anymore, but the mail can still not be deleted. When i hit del i have two copies of the Mail. One in "Mailing_listen" and one in "trash".

Tested with:
Name       : kdepim
Arch       : i386
Epoch      : 6
Version    : 3.5.10
Release    : 2.fc9

on F9

Comment 7 Bug Zapper 2009-06-10 01:51:25 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Kevin Kofler 2009-06-10 02:04:36 UTC
Any idea if this is fixed in F10 or F11 (kdepim 4.2.3/4.2.4)? If this only affects 3.5.10, it will get closed as WONTFIX with the F9 EOL. (Upstream already does not support 3.5.10 anymore.)

Comment 9 Bug Zapper 2009-07-14 16:38:12 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.